Bug 450753 - Add CLI for dynamic reload schema file task
Add CLI for dynamic reload schema file task
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Command Line Utilities (Show other bugs)
1.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Noriko Hosoi
Orla Hegarty
:
Depends On:
Blocks: 249650 FDS112
  Show dependency treegraph
 
Reported: 2008-06-10 16:17 EDT by Noriko Hosoi
Modified: 2009-04-29 19:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:04:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New file: ldapserver/ldap/admin/src/scripts/template-schema-reload.pl.in (5.37 KB, text/plain)
2008-07-01 20:27 EDT, Noriko Hosoi
no flags Details
cvs diff Makefile.am (754 bytes, patch)
2008-07-01 20:29 EDT, Noriko Hosoi
no flags Details | Diff
cvs commit message (2.09 KB, text/plain)
2008-07-02 12:15 EDT, Noriko Hosoi
no flags Details

  None (edit)
Description Noriko Hosoi 2008-06-10 16:17:39 EDT
Description of problem:
A CLI needs to be provided for creating a dynamic reload schema file task, as well.

We can take the same approach of this bug: 450746: Add CLI for memberOf fix-up task
Comment 1 Noriko Hosoi 2008-07-01 20:27:17 EDT
Created attachment 310739 [details]
New file: ldapserver/ldap/admin/src/scripts/template-schema-reload.pl.in

template file to generate CLI schema-reload.pl.
Comment 2 Noriko Hosoi 2008-07-01 20:29:34 EDT
Created attachment 310740 [details]
cvs diff Makefile.am

A change to package template-schema-reload.pl.
Comment 3 Noriko Hosoi 2008-07-02 12:15:53 EDT
Created attachment 310817 [details]
cvs commit message

Reviewed by Rich (Thank you!!)

Checked in into CVS HEAD.
Comment 4 Jenny Galipeau 2009-03-12 15:41:20 EDT
verified DS 8.1 RHEL 5

/usr/lib/dirsrv/sldap-<ID>/schema-reload.pl exists for each instance created.

Verified functionality against what is documented
http://elladeon.fedorapeople.org/DirServer/8.1/admin/dynamically-reloading-schema.html
Comment 5 Chandrasekar Kannan 2009-04-29 19:04:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.